org.richfaces.view.facelets.html

## Class BehaviorStack

- java.lang.Object
- - org.richfaces.view.facelets.html.BehaviorStack

-     public final class BehaviorStack
      extends Object

  Author:
    Nick Belaevski This class is necessary to handle nesting wrapping behaviors properly and is created to work around this issue: https://javaserverfaces-spec-public.dev.java.net/issues/show_bug.cgi?id=655

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `BehaviorStack.BehaviorInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BehaviorStack()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBehaviors(javax.faces.context.FacesContext context, javax.faces.component.behavior.ClientBehaviorHolder behaviorHolder)`
    `static BehaviorStack` | `getBehaviorStack(javax.faces.context.FacesContext context, boolean createIfNull)`
    `boolean` | `isEmpty()`
    `BehaviorStack.BehaviorInfo` | `popBehavior()`
    `void` | `pushBehavior(javax.faces.context.FacesContext context, javax.faces.component.behavior.ClientBehavior clientBehavior, String behaviorId, String eventName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BehaviorStack

          public BehaviorStack()

  - ### Method Detail

    - #### getBehaviorStack

          public static BehaviorStack getBehaviorStack(javax.faces.context.FacesContext context,
                                                       boolean createIfNull)

    - #### isEmpty

          public boolean isEmpty()

    - #### addBehaviors

          public void addBehaviors(javax.faces.context.FacesContext context,
                                   javax.faces.component.behavior.ClientBehaviorHolder behaviorHolder)

    - #### pushBehavior

          public void pushBehavior(javax.faces.context.FacesContext context,
                                   javax.faces.component.behavior.ClientBehavior clientBehavior,
                                   String behaviorId,
                                   String eventName)

    - #### popBehavior

          public BehaviorStack.BehaviorInfo popBehavior()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.